ubuntu/+source/aptitude:applied/ubuntu/gutsy

Last commit made on 2007-09-15
Get this branch:
git clone -b applied/ubuntu/gutsy https://git.launchpad.net/ubuntu/+source/aptitude
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/gutsy
Repository:
lp:ubuntu/+source/aptitude

Recent commits

2968028... by Matthias Klose on 2007-09-14

Import patches-applied version 0.4.6.1-1ubuntu3 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: bae9d3195298be29f216a5ecac67456b9b1befa7
Unapplied parent: e70910df8f2469cf415513c327f0f2e361736aa4

New changelog entries:
  * Fix build failures with g++-4.3. LP: #138555.
  * Build the tests without -Werror.

e70910d... by Matthias Klose on 2007-09-14

Import patches-unapplied version 0.4.6.1-1ubuntu3 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 76ad7f4085d3766aca5b8432b2582fd885cc3276

New changelog entries:
  * Fix build failures with g++-4.3. LP: #138555.
  * Build the tests without -Werror.

bae9d31... by Ian Jackson on 2007-08-15

Import patches-applied version 0.4.6.1-1ubuntu2 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 21ab64250dfdb41406c6121493dc3033883cc47c
Unapplied parent: 76ad7f4085d3766aca5b8432b2582fd885cc3276

New changelog entries:
  * dpkg-triggers: Deal properly with new package states.

76ad7f4... by Ian Jackson on 2007-08-15

Import patches-unapplied version 0.4.6.1-1ubuntu2 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 9333651bcd7605f3944f4f3feea9b339834194ff

New changelog entries:
  * dpkg-triggers: Deal properly with new package states.

21ab642... by Michael Vogt on 2007-08-03

Import patches-applied version 0.4.6.1-1ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: d9ff5a87c2db6ab37a9db124e7e1895aa1968068
Unapplied parent: 9333651bcd7605f3944f4f3feea9b339834194ff

New changelog entries:
  * Build against latest apt
  * Merge from debian unstable, remaining changes:
    - 01_allow_unauthenticated.dpatch: add --allow-unauthenticated
    - 03_branding.dpatch: ubuntu branding
    - 04_changelog.dpatch: take changelogs from changelogs.ubuntu.com
    - 07_hide_recommends_warning.dpatch: do not show a warning about
      missing recommends
    - 08_ubuntu_default_source.dpatch: do not clean lists directory
      on transient network failures
    - 10_dpkg_breaks.dpatch: support dpkg Breaks field
  * New upstream release (includes scripts I missed in the last release).
  * New upstream release.

  * Properly handle EINTR in the keyboard-input thread; should clear up
    the problems where aptitude becomes nonresponsive.
    (Closes: #431054, #431686, #432323)

  * Make sure the apt auto-mark flags get initialized on startup, so
    aptitude knows what's automatic and doesn't clear auto flags
    pointlessly. (Closes: #432017)

  * Don't crash on startup when something goes wrong early in the
    initialization process. (Closes: #430061)

  * Disable unused package removal if Delete-Unused is false.
    (Closes: #431716)

  * Don't garble translated descriptions in non-UTF8 locales.
    (Closes: #432911)

  * Eliminate another bogus warning about a supposedly locked
    cache. (Closes: #431909)
  * Translation updates:

    - Basque (Closes: #432535)
    - Vietnamese (Closes: #432283)

9333651... by Michael Vogt on 2007-08-03

Import patches-unapplied version 0.4.6.1-1ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: bf9845d98a9b4c4e42c4e00c9a25b41dd918c21c

New changelog entries:
  * Build against latest apt
  * Merge from debian unstable, remaining changes:
    - 01_allow_unauthenticated.dpatch: add --allow-unauthenticated
    - 03_branding.dpatch: ubuntu branding
    - 04_changelog.dpatch: take changelogs from changelogs.ubuntu.com
    - 07_hide_recommends_warning.dpatch: do not show a warning about
      missing recommends
    - 08_ubuntu_default_source.dpatch: do not clean lists directory
      on transient network failures
    - 10_dpkg_breaks.dpatch: support dpkg Breaks field
  * New upstream release (includes scripts I missed in the last release).
  * New upstream release.

  * Properly handle EINTR in the keyboard-input thread; should clear up
    the problems where aptitude becomes nonresponsive.
    (Closes: #431054, #431686, #432323)

  * Make sure the apt auto-mark flags get initialized on startup, so
    aptitude knows what's automatic and doesn't clear auto flags
    pointlessly. (Closes: #432017)

  * Don't crash on startup when something goes wrong early in the
    initialization process. (Closes: #430061)

  * Disable unused package removal if Delete-Unused is false.
    (Closes: #431716)

  * Don't garble translated descriptions in non-UTF8 locales.
    (Closes: #432911)

  * Eliminate another bogus warning about a supposedly locked
    cache. (Closes: #431909)
  * Translation updates:

    - Basque (Closes: #432535)
    - Vietnamese (Closes: #432283)

d9ff5a8... by Michael Vogt on 2007-07-24

Import patches-applied version 0.4.5.4-1ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 34626d171dae60097d765892a78665946c90da97
Unapplied parent: bf9845d98a9b4c4e42c4e00c9a25b41dd918c21c

New changelog entries:
  * Merge from debian unstable to get better integration
    with apt 0.7
  * dropped debian/patches/09_action_group_integration.dpatch,
    - taken upstream
  * debian/patches/10_dpkg_breaks.dpatch:
    - updated
  * moved debian/patches/06_no_auto_remove_kernels.dpatch
    into debian/05aptitude
  * debian/05aptitude:
    - default to sudo as "Get-Root-Command"
    - add linux-ubuntu-modules to never-autoremove pattern
  * Upload to unstable since aptitude has been binNMUed against the
    new apt, and this build (although there are still bugs) is less
    broken than that one.

  * Fix an out-of-bounds error in the line editor. (Closes: #429673)
  * Force aptitude to create the state file the first time it's run
    even if the user didn't install/remove anything, so it knows
    which packages are new. (Closes: #429732)

  * Translation updates:

    - Basque (Closes: #418862)
    - Galician (Closes: #429504)
    - Vietnamese (Closes: #429447)

  * Tidy up the Debian diff some more.
  * Trim the diff way down; it looks like the switch to Mercurial, or
    maybe some of the stuff I did in the past with the packaging
    repository, generated a bunch of spurious changes from upstream.

    There are still spurious additions of .xml DocBook files that are
    autogenerated by po4a. These should be deleted by "make clean", but
    that needs to be fixed in the upstream code.

  * Thanks to everyone who tested the last release. Hopefully this one is
    less buggy than it was.
  * Hopefully this release fixes a nasty race condition that caused
    garbled output. (Closes: #414838, #406193)

  * Fixed a bug that caused aptitude to keep trying to remove a package it
    had already removed. (Closes: #429388) Or rather, made it harder to
    trigger through normal usage; there's no clean way for anyone but
    dselect to keep track of package installation states.
  * Fix build errors in the code; build-depend on apt >= 0.7.0.
    (Closes: #429348)

  * Set packages to manual mode when the user cancels their removal, like
    old aptitudes did. (Closes: #429271)

  * Fix compile failures with g++-4.3. (Closes: #413488)
  * New upstream version (fixes various bugs introduced by the code
    merge).
  * New upstream version.

  * This version merges in the code I wrote in 2005 to support the
    patch against apt to add removal of automatic patches. aptitude
    should merge its list of "automatic" packages into the global apt
    list when it's run.

  * aptitude will now let you go ahead when there isn't anything to
    change, but some packages need to be configured. (Closes: #424709)

  * Translation updates:

    - French (Closes: #428585, #428826)
    - Portuguese (Closes: #425779)
    - Vietnamese (Closes: #426976)

  * Use debian/compat instead of DH_COMPAT; switch to debhelper
    compatibility level 5.
  * The "an entire pot of spaghetti gave its life for this upload"
    upload.

  * Re-enable werror (it should have always been enabled, but I turned
    it off during a period of brokenness and never turned it back on).

  * Rebuild against apt 0.7 (Closes: #428616). This doesn't include
    support for the auto-mark code; I need to either forward-port
    my patches from 2005 or rewrite them.

  * Fix a number of crashes due to inconsistencies in aptitude's
    internal dependency model. (Closes: #420358, #420381, #420407)
  * Don't crash if some code generates a percentage that isn't strictly
    between 0 and 100; instead, just try to display it as best we can.
    (Closes: #425145)
  * 'N' now repeats the last search in the opposite direction from 'n'.
    (Closes: #414020, #397880)
  * aptitude now recognizes Apt::Get::AllowUnauthenticated as a
    synonym for Aptitude::Ignore-Trust-Violations. (Closes: #411927)
  * Increase the default value of StepScore to 70. This should make
    aptitude less likely to wander off into exponentially expanding
    search trees. (Closes: #418385)
  * Automatically enable Keep-Recommends when --without-recommends is
    passed on the command-line. As a practical matter, this means that
    --without-recommends no longer tries to remove a bunch of packages.
    (Closes: #143532)
  * Add DPKG_NO_TSTP to the environment when doing a package-configure run
    after something failed, so "Z" backgrounding works at the conffile
    prompt. (Closes: #367052)
  * Put packages that are both "new" and "upgradable" into the "upgradable
    packages" list instead of the "new packages" list. (Closes: #419999)

  * Eliminate some cases where aptitude would print an incorrect
    message about being unable to acquire a lock after some other
    error occurred. (Closes: #422700)

  * Never display more than one "really quit?" dialog box at once.
    (Closes: #411158)

  * Explicitly chmod the aptitude state file to mode 0644 after writing
    it, to avoid surprising results when it gets read back in.
    (Closes: #421809, #421811)

  * Print an error message if the user tries to supply arguments
    to commands where this makes no sense. (Closes: #411152)

  * Write "[Enter]" instead of "enter" in the media-change prompt.
    (Closes: #414777)

  * Remove *.gmo in distclean. It should now be possible to build
    the Debian package twice in a row. (Closes: #424102)

  * Improve the description of Recommends-Important,
    Keep-Recommends, and Keep-Suggests; thanks to Stefan Kangas for
    his suggestions. (Closes: #405002)

  * Add some missing commands to the online help. (Closes: #402360)

  * Fix the alignment of text in the online help. (Closes: #399048)

  * Translation updates:
    - Basque (Closes: #418862)
    - Catalan (Closes: #353308)
    - Chinese (Simplified) (Closes: #405166)
    - Chinese (Traditional) (Closes: #338056, #418139)
    - Danish (Closes: #409480)
    - Finnish (Closes: #392305)
    - French (Closes: #403561, #388504)
    - Galacian (Closes: #412829, #425358)
    - Greek
    - Hungarian (Closes: #405550)
    - Japanese users manual added.
    - Marathi (Closes: #416807)
    - Nepali (Closes: #452278)
    - Portuguese (Closes: #418940)
    - Romanian (Closes: #415763)
    - Slovak (Closes: #401105)
    - Spanish (Closes: #416339)
    - Ukranian (Closes: #415448)
  * Don't crash if some code generates a percentage that isn't strictly
    between 0 and 100; instead, just try to display it as best we can.
    (Closes: #425145)

    * Eliminate the crashes due to inconsistencies in the dependency
      resolver. (Closes: #420358, #420381, #420407)

      Also added checks for errors that occur in the dependency resolution
      thread, so the program can cleanly generate an error message instead
      of blowing up, and improved the errors generated by consistency checks
      to include more context information.

    * Eliminated a crash with the revdep column generator (Closes: #420405).

    * Add DPKG_NO_TSTP to the environment when doing a package-configure run
      after something failed, so "Z" backgrounding works at the conffile
      prompt. (Closes: #357042)

    * Fix how bolding is performed in the docbook templates for manpages;
      this made the manpages completely unreadable when built with a newer
      Docbook (Closes: #415468, #416232).

bf9845d... by Michael Vogt on 2007-07-24

Import patches-unapplied version 0.4.5.4-1ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: cbd301921b50161ff803784185bbb3e9a16b4ec8

New changelog entries:
  * Merge from debian unstable to get better integration
    with apt 0.7
  * dropped debian/patches/09_action_group_integration.dpatch,
    - taken upstream
  * debian/patches/10_dpkg_breaks.dpatch:
    - updated
  * moved debian/patches/06_no_auto_remove_kernels.dpatch
    into debian/05aptitude
  * debian/05aptitude:
    - default to sudo as "Get-Root-Command"
    - add linux-ubuntu-modules to never-autoremove pattern
  * Upload to unstable since aptitude has been binNMUed against the
    new apt, and this build (although there are still bugs) is less
    broken than that one.

  * Fix an out-of-bounds error in the line editor. (Closes: #429673)
  * Force aptitude to create the state file the first time it's run
    even if the user didn't install/remove anything, so it knows
    which packages are new. (Closes: #429732)

  * Translation updates:

    - Basque (Closes: #418862)
    - Galician (Closes: #429504)
    - Vietnamese (Closes: #429447)

  * Tidy up the Debian diff some more.
  * Trim the diff way down; it looks like the switch to Mercurial, or
    maybe some of the stuff I did in the past with the packaging
    repository, generated a bunch of spurious changes from upstream.

    There are still spurious additions of .xml DocBook files that are
    autogenerated by po4a. These should be deleted by "make clean", but
    that needs to be fixed in the upstream code.

  * Thanks to everyone who tested the last release. Hopefully this one is
    less buggy than it was.
  * Hopefully this release fixes a nasty race condition that caused
    garbled output. (Closes: #414838, #406193)

  * Fixed a bug that caused aptitude to keep trying to remove a package it
    had already removed. (Closes: #429388) Or rather, made it harder to
    trigger through normal usage; there's no clean way for anyone but
    dselect to keep track of package installation states.
  * Fix build errors in the code; build-depend on apt >= 0.7.0.
    (Closes: #429348)

  * Set packages to manual mode when the user cancels their removal, like
    old aptitudes did. (Closes: #429271)

  * Fix compile failures with g++-4.3. (Closes: #413488)
  * New upstream version (fixes various bugs introduced by the code
    merge).
  * New upstream version.

  * This version merges in the code I wrote in 2005 to support the
    patch against apt to add removal of automatic patches. aptitude
    should merge its list of "automatic" packages into the global apt
    list when it's run.

  * aptitude will now let you go ahead when there isn't anything to
    change, but some packages need to be configured. (Closes: #424709)

  * Translation updates:

    - French (Closes: #428585, #428826)
    - Portuguese (Closes: #425779)
    - Vietnamese (Closes: #426976)

  * Use debian/compat instead of DH_COMPAT; switch to debhelper
    compatibility level 5.
  * The "an entire pot of spaghetti gave its life for this upload"
    upload.

  * Re-enable werror (it should have always been enabled, but I turned
    it off during a period of brokenness and never turned it back on).

  * Rebuild against apt 0.7 (Closes: #428616). This doesn't include
    support for the auto-mark code; I need to either forward-port
    my patches from 2005 or rewrite them.

  * Fix a number of crashes due to inconsistencies in aptitude's
    internal dependency model. (Closes: #420358, #420381, #420407)
  * Don't crash if some code generates a percentage that isn't strictly
    between 0 and 100; instead, just try to display it as best we can.
    (Closes: #425145)
  * 'N' now repeats the last search in the opposite direction from 'n'.
    (Closes: #414020, #397880)
  * aptitude now recognizes Apt::Get::AllowUnauthenticated as a
    synonym for Aptitude::Ignore-Trust-Violations. (Closes: #411927)
  * Increase the default value of StepScore to 70. This should make
    aptitude less likely to wander off into exponentially expanding
    search trees. (Closes: #418385)
  * Automatically enable Keep-Recommends when --without-recommends is
    passed on the command-line. As a practical matter, this means that
    --without-recommends no longer tries to remove a bunch of packages.
    (Closes: #143532)
  * Add DPKG_NO_TSTP to the environment when doing a package-configure run
    after something failed, so "Z" backgrounding works at the conffile
    prompt. (Closes: #367052)
  * Put packages that are both "new" and "upgradable" into the "upgradable
    packages" list instead of the "new packages" list. (Closes: #419999)

  * Eliminate some cases where aptitude would print an incorrect
    message about being unable to acquire a lock after some other
    error occurred. (Closes: #422700)

  * Never display more than one "really quit?" dialog box at once.
    (Closes: #411158)

  * Explicitly chmod the aptitude state file to mode 0644 after writing
    it, to avoid surprising results when it gets read back in.
    (Closes: #421809, #421811)

  * Print an error message if the user tries to supply arguments
    to commands where this makes no sense. (Closes: #411152)

  * Write "[Enter]" instead of "enter" in the media-change prompt.
    (Closes: #414777)

  * Remove *.gmo in distclean. It should now be possible to build
    the Debian package twice in a row. (Closes: #424102)

  * Improve the description of Recommends-Important,
    Keep-Recommends, and Keep-Suggests; thanks to Stefan Kangas for
    his suggestions. (Closes: #405002)

  * Add some missing commands to the online help. (Closes: #402360)

  * Fix the alignment of text in the online help. (Closes: #399048)

  * Translation updates:
    - Basque (Closes: #418862)
    - Catalan (Closes: #353308)
    - Chinese (Simplified) (Closes: #405166)
    - Chinese (Traditional) (Closes: #338056, #418139)
    - Danish (Closes: #409480)
    - Finnish (Closes: #392305)
    - French (Closes: #403561, #388504)
    - Galacian (Closes: #412829, #425358)
    - Greek
    - Hungarian (Closes: #405550)
    - Japanese users manual added.
    - Marathi (Closes: #416807)
    - Nepali (Closes: #452278)
    - Portuguese (Closes: #418940)
    - Romanian (Closes: #415763)
    - Slovak (Closes: #401105)
    - Spanish (Closes: #416339)
    - Ukranian (Closes: #415448)
  * Don't crash if some code generates a percentage that isn't strictly
    between 0 and 100; instead, just try to display it as best we can.
    (Closes: #425145)

    * Eliminate the crashes due to inconsistencies in the dependency
      resolver. (Closes: #420358, #420381, #420407)

      Also added checks for errors that occur in the dependency resolution
      thread, so the program can cleanly generate an error message instead
      of blowing up, and improved the errors generated by consistency checks
      to include more context information.

    * Eliminated a crash with the revdep column generator (Closes: #420405).

    * Add DPKG_NO_TSTP to the environment when doing a package-configure run
      after something failed, so "Z" backgrounding works at the conffile
      prompt. (Closes: #357042)

    * Fix how bolding is performed in the docbook templates for manpages;
      this made the manpages completely unreadable when built with a newer
      Docbook (Closes: #415468, #416232).

34626d1... by Reinhard Tartler on 2007-07-08

Import patches-applied version 0.4.4-4ubuntu3 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 71c48b2e3ff038e77edf8c0f9c79e2496a5b8d04
Unapplied parent: cbd301921b50161ff803784185bbb3e9a16b4ec8

New changelog entries:
  * another rebuild against latest apt

cbd3019... by Reinhard Tartler on 2007-07-08

Import patches-unapplied version 0.4.4-4ubuntu3 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: d21e8bd1d52ba984c8ea0ea44e7dba367881a0b2

New changelog entries:
  * another rebuild against latest apt